Friday, May 24, 2013

jQuery addEventListener error when using IE8

This error cropped up in an intranet application today when a user using an old laptop tried to run it using Internet Explorer version 8. We were using JQuery 2.0 and IE8 does not support binding click events automatically so that's why we got the problem. 

One way around is to use conditional comments to load the appropriate version of JQuery based on the browser version like so



No comments:

Post a Comment